!    Calculates the average of three numbers
!    and prints it out
!    File : Example1.f90
!    Author : Sakke Karstu
!
PROGRAM  ComputeAverage
   IMPLICIT  NONE

   REAL    :: Num1, Num2, Num3, Average    ! declare variables

   READ(*,*)  Num1, Num2, Num3             ! read input
   Average = (Num1 + Num2 + Num3) / 3.0    ! compute average
   WRITE(*,*) 'The Average of ', Num1,', ',Num2,', ',Num3,' is ', average
                                           ! display results
END PROGRAM  ComputeAverage

